export const LBA_ABI = [
    {
        inputs: [],
        name: 'claimRewards',
        outputs: [],
        stateMutability: 'nonpayable',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'uint256',
                name: 'amount',
                type: 'uint256',
            },
        ],
        name: 'depositUsdc',
        outputs: [],
        stateMutability: 'nonpayable',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'address',
                name: 'account',
                type: 'address',
            },
            {
                internalType: 'uint256',
                name: 'amount',
                type: 'uint256',
            },
        ],
        name: 'depositVrtx',
        outputs: [],
        stateMutability: 'nonpayable',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'uint256',
                name: 'amount',
                type: 'uint256',
            },
        ],
        name: 'distributeRewards',
        outputs: [],
        stateMutability: 'nonpayable',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'address',
                name: 'account',
                type: 'address',
            },
        ],
        name: 'getClaimableRewards',
        outputs: [
            {
                internalType: 'uint256',
                name: '',
                type: 'uint256',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'address',
                name: 'account',
                type: 'address',
            },
        ],
        name: 'getClaimedRewards',
        outputs: [
            {
                internalType: 'uint256',
                name: '',
                type: 'uint256',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [],
        name: 'getConfig',
        outputs: [
            {
                components: [
                    {
                        internalType: 'uint64',
                        name: 'depositStartTime',
                        type: 'uint64',
                    },
                    {
                        internalType: 'uint64',
                        name: 'depositEndTime',
                        type: 'uint64',
                    },
                    {
                        internalType: 'uint64',
                        name: 'withdrawEndTime',
                        type: 'uint64',
                    },
                    {
                        internalType: 'uint64',
                        name: 'lpVestStartTime',
                        type: 'uint64',
                    },
                    {
                        internalType: 'uint64',
                        name: 'lpVestEndTime',
                        type: 'uint64',
                    },
                ],
                internalType: 'struct ILBA.Config',
                name: '',
                type: 'tuple',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'address',
                name: 'account',
                type: 'address',
            },
        ],
        name: 'getDepositedUsdc',
        outputs: [
            {
                internalType: 'uint256',
                name: '',
                type: 'uint256',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'address',
                name: 'account',
                type: 'address',
            },
        ],
        name: 'getDepositedVrtx',
        outputs: [
            {
                internalType: 'uint256',
                name: '',
                type: 'uint256',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'address',
                name: 'account',
                type: 'address',
            },
        ],
        name: 'getLockedLpBalance',
        outputs: [
            {
                internalType: 'uint256',
                name: 'lockedLpBalance',
                type: 'uint256',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'address',
                name: 'account',
                type: 'address',
            },
        ],
        name: 'getLpBalance',
        outputs: [
            {
                internalType: 'uint256',
                name: '',
                type: 'uint256',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'address',
                name: 'account',
                type: 'address',
            },
        ],
        name: 'getMaxWithdrawableUsdc',
        outputs: [
            {
                internalType: 'uint256',
                name: '',
                type: 'uint256',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [],
        name: 'getStage',
        outputs: [
            {
                internalType: 'enum ILBA.Stage',
                name: 'stage',
                type: 'uint8',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [],
        name: 'getState',
        outputs: [
            {
                components: [
                    {
                        internalType: 'uint256',
                        name: 'totalVrtxDeposited',
                        type: 'uint256',
                    },
                    {
                        internalType: 'uint256',
                        name: 'totalUsdcDeposited',
                        type: 'uint256',
                    },
                    {
                        internalType: 'uint256',
                        name: 'totalLpMinted',
                        type: 'uint256',
                    },
                    {
                        internalType: 'uint256',
                        name: 'totalLpWithdrawn',
                        type: 'uint256',
                    },
                    {
                        internalType: 'uint256',
                        name: 'cumulativeRewardsPerShareX18',
                        type: 'uint256',
                    },
                ],
                internalType: 'struct ILBA.State',
                name: '',
                type: 'tuple',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [],
        name: 'getVrtxInitialPriceX18',
        outputs: [
            {
                internalType: 'uint256',
                name: '',
                type: 'uint256',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'address',
                name: 'account',
                type: 'address',
            },
        ],
        name: 'getWithdrawableLpBalance',
        outputs: [
            {
                internalType: 'uint256',
                name: '',
                type: 'uint256',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'uint256',
                name: 'lpAmount',
                type: 'uint256',
            },
        ],
        name: 'withdrawLiquidity',
        outputs: [],
        stateMutability: 'nonpayable',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'uint256',
                name: 'amount',
                type: 'uint256',
            },
        ],
        name: 'withdrawUsdc',
        outputs: [],
        stateMutability: 'nonpayable',
        type: 'function',
    },
];
//# sourceMappingURL=LBA.js.map